installation fails with "This module/version has already been built"

Bug #602408 reported by Nikolaus Rath on 2010-07-06
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
dkms (Ubuntu)
Medium
Alberto Milone
Lucid
Undecided
Alberto Milone

Bug Description

Setting up nvidia-current (195.36.24-0ubuntu1~10.04) ...
update-initramfs: deferring update (trigger activated)
update-initramfs: Generating /boot/initrd.img-2.6.31-22-server
Cannot find /lib/modules/2.6.31-22-server
update-initramfs: failed for /boot/initrd.img-2.6.31-22-server
Removing old nvidia-current-195.36.24 DKMS files...

-------- Uninstall Beginning --------
Module: nvidia-current
Version: 195.36.24
Kernel: 2.6.32-23-generic (i686)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
 - Uninstallation
   - Deleting from: /lib/modules/2.6.32-23-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall Completed.

------------------------------
Deleting module version: 195.36.24
completely from the DKMS tree.
------------------------------
Done.
Loading new nvidia-current-195.36.24 DKMS files...
First Installation: checking all kernels...
Building for 2.6.31-22-server and 2.6.32-23-generic
Building for architecture i686
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
Building initial module for 2.6.32-23-generic
Done.

nvidia-current.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.32-23-generic/updates/dkms/

depmod....

DKMS: install Completed.
Building initial module for 2.6.32-23-generic

Error! This module/version has already been built on: 2.6.32-23-generic
Directory: /var/lib/dkms/nvidia-current/195.36.24/2.6.32-23-generic/i686
already exists. Use the dkms remove function before trying to build again.
dpkg: error processing nvidia-current (--configure):
 subprocess installed post-installation script returned error exit status 3
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.32-23-generic
Processing triggers for python-support ...
Errors were encountered while processing:
 nvidia-current

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: nvidia-current (not installed)
ProcVersionSignature: Ubuntu 2.6.31-22.60-server
Uname: Linux 2.6.31-22-server x86_64
Architecture: amd64
Date: Tue Jul 6 14:55:38 2010
DkmsStatus: Error: [Errno 2] No such file or directory
MachineType: Dell Inc. PowerEdge R710
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-22-server root=/dev/mapper/tassadar-root ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: nvidia-graphics-drivers
UdevDb: Error: [Errno 2] No such file or directory
XorgLog: Error: [Errno 2] No such file or directory: '/var/log/Xorg.0.log'
dmi.bios.date: 10/30/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.3.6
dmi.board.name: 0YDJK3
dmi.board.vendor: Dell Inc.
dmi.board.version: A02
dmi.chassis.type: 23
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.3.6:bd10/30/2009:svnDellInc.:pnPowerEdgeR710:pvr:rvnDellInc.:rn0YDJK3:rvrA02:cvnDellInc.:ct23:cvr:
dmi.product.name: PowerEdge R710
dmi.sys.vendor: Dell Inc.
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.31-22-server

Nikolaus Rath (nikratio) wrote :
Nikolaus Rath (nikratio) wrote :

Note: this install was attempted in an i386 chroot on an amd64 system.

Bryce Harrington (bryce) on 2010-07-07
tags: added: karmic
Nikolaus Rath (nikratio) wrote :

Both the host and the chroot are lucid. Are you sure the karmic tag is correct here?

Alberto Milone (albertomilone) wrote :

I think this bug affects the dkms package (and more precisely some code that I wrote).

affects: nvidia-graphics-drivers (Ubuntu) → dkms (Ubuntu)
Changed in dkms (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dkms - 2.1.1.2-3ubuntu1

---------------
dkms (2.1.1.2-3ubuntu1) maverick; urgency=low

  * debian/patches/improve-the-logic-behind-kernels-detection.patch:
    - Before using the current kernel we need to make sure that this
      kernel doesn't belong to the host of a chroot and we should
      also be more careful when adding kernels to the candidates
      list (LP: #602408).
 -- Alberto Milone <email address hidden> Thu, 23 Sep 2010 18:59:55 +0200

Changed in dkms (Ubuntu):
status: In Progress → Fix Released
TestDriveLinux (testdrivelinux) wrote :

Confirm this bug exists using chroot on the Lucid 10.04.1 live CD.

Installing this update from http://nl.archive.ubuntu.com/ubuntu/pool/main/d/dkms/dkms_2.1.1.2-3ubuntu1_all.deb fixes the issue in lucid.

Can this patch be backported to lucid?

Kevin Krumwiede (kjkrum) wrote :

Is this bug as described here understood to only affect chroot? I found this report while trying to troubleshoot why dkms insists that the current kernel source is not installed while trying to build nvidia-current. I am not using chroot.

Martin Pitt (pitti) wrote :

http://launchpadlibrarian.net/56337005/dkms_2.1.1.2-3fakesync1_2.1.1.2-3ubuntu1.diff.gz indeed looks backportable to lucid. Alberto, do you have some time to do this?

Changed in dkms (Ubuntu Lucid):
assignee: nobody → Alberto Milone (albertomilone)
status: New → Triaged
Alberto Milone (albertomilone) wrote :

I'm taking care of the task for Lucid

Changed in dkms (Ubuntu Lucid):
status: Triaged → In Progress
Alberto Milone (albertomilone) wrote :

I've just uploaded the fix for Lucid.

I've also attached a log which shows success when installing the nvidia driver with the new dkms inside of a Lucid chroot (on Natty).

Accepted dkms into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in dkms (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Steve Atwell (satwell) wrote :

Verified that dkms 2.1.1.2-2ubuntu1 can build and install nvidia-current in Lucid's d-i chroot. The new package looks good. Thanks!

Martin Pitt (pitti) on 2011-06-10
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dkms - 2.1.1.2-2ubuntu1

---------------
dkms (2.1.1.2-2ubuntu1) lucid-proposed; urgency=low

  [ Alberto Milone ]
  * debian/patches/improve-the-logic-behind-kernels-detection.patch:
    - Before using the current kernel we need to make sure that this
      kernel doesn't belong to the host of a chroot and we should
      also be more careful when adding kernels to the candidates
      list (LP: #602408).

  [ Michael Vogt ]
  * debian/control:
    - depend on patch instead of recommending it, if its missing
      the "patches" feature of dkms will no longer work and that
      will cause build failures (LP: #653899).
 -- Alberto Milone <email address hidden> Wed, 08 Jun 2011 17:42:24 +0200

Changed in dkms (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers